Bug 11799 - libmadplug.so сломан
: libmadplug.so сломан
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/audacious-plugins)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-05-18 09:52 by
Modified: 2007-05-24 15:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-18 09:52:07
После установки audacious-plugins-1.3.4-alt1 видим такое:

При попытке проиграть произвольный .mp3-файл плеер вываливается с сообщением
"Illegal hardware instruction" (SIGILL). Опытным путём выяснилось, что сломан
плугин libmdplug.so - при его выключений остальный форматы играются без
проблем.

Пока откатился на 1.3.3-alt1.

Есть лог strace и core-файл, но они весят 3 и 7 Мб соответственно. Если надо,
могу выложить.
Steps to Reproduce:
1.apt-get install audacious-plugins=1.3.4-alt1
2.audacious file.mp3
Actual Results:  
Illegal hardware instruction
------- Comment #1 From 2007-05-19 02:52:22 -------
А что у вас за процессор? У меня не воспроизводится. Это только про mp3 или с 
другими файлами тоже так может быть?
------- Comment #2 From 2007-05-19 06:02:06 -------
(In reply to comment #1)
> А что у вас за процессор? У меня не воспроизводится. Это только про mp3 или с 
> другими файлами тоже так может быть?

1) i686 2) Да, только mp3. Просто у ранней альфы 1.3, которую я для себя собирал
на посмотреть, уже было такое - убираешь плагин, падать перестаёт. Вот и тут
сразу догадался, откуда ноги растут. Перекомпиляция, надо думать, снова не поможет.

Что можно попробовать?
------- Comment #3 From 2007-05-19 06:03:11 -------
Уточняя: i686 == Pentium 3 Tualatin.
------- Comment #4 From 2007-05-19 11:55:56 -------
Я думаю что это проблема в libmad. Например, она как-то не так собирается. Для 
Illegal Instruction ещё постараться надо.

Костя, нет ли мыслей как проверить? Может через какой другой плеер?
------- Comment #5 From 2007-05-19 12:07:29 -------
Если я верно понимаю вывод "gdb audacious core.audacious", то это не из-за
libmad.so. Вот что там есть (в конце уже):

Core was generated by `audacious'.
Program terminated with signal 4, Illegal instruction.
#0  0x416b49af in create_window () from /usr/lib/audacious/Input/libmadplug.so
(gdb) bt
#0  0x416b49af in create_window () from /usr/lib/audacious/Input/libmadplug.so
#1  0x416b510d in create_window () from /usr/lib/audacious/Input/libmadplug.so
#2  0x4054bcf5 in g_str_equal () from /usr/lib/libglib-2.0.so.0
#3  0x416c1c40 in ?? ()
#4  0x0843e8c8 in ?? ()
#5  0x00000000 in ?? ()

Т.е. проблема в glib чтоль? Нет?
------- Comment #6 From 2007-05-20 21:44:25 -------
Нет, ошибка возникает в create_window () 
from /usr/lib/audacious/Input/libmadplug.so

Какой-то странный backtrace, как будто create_window вызывается из 
g_str_equal :)
И вызов create_window из create_window весьма странен...
------- Comment #7 From 2007-05-21 04:19:43 -------
(In reply to comment #6)
> Какой-то странный backtrace, как будто create_window вызывается из 
> g_str_equal :)
> И вызов create_window из create_window весьма странен...

Ну, может я его неправильно ворочаю, этот core-файл. Впрочем, пожив уже какое-то
время под audacious я морально готов и не к такой кривизне. Вопрос в том, что
делать? Ктоб как следует покапался в этой либе?
------- Comment #8 From 2007-05-21 10:09:24 -------
Советую вам обратиться в рассылку по Сизифу, может ещё у кого воспроизводится.
Или самому откомпилировать из исходников, с
CFLAGS=-g ./configure
может быть это поможет...
------- Comment #9 From 2007-05-21 13:23:38 -------
Самое смешное, что пересобранный на локальной машине пакет (и с отладкой и без)
работает.

Что бы это могло быть?
------- Comment #10 From 2007-05-21 22:28:43 -------
Всё решилось. Там при configure проверялось наличие SSE2 на сборочной 
машине :)
Отключил проверку.
fixed in audacious-plugins-1.3.4-alt2